Subject: bug#20424: closed (Re: build-from-git failure on Wheezy)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 04 May 2015 14:35:04 +0000

Your bug report

#20424: Compile the git version of sed failed.

which was filed against the sed package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20424: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20424
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: build-from-git failure on Wheezy
From: Jim Meyering <[email-masked]>
To: [email-masked], Hongyi Zhao <[email-masked]>
Date: Mon, 4 May 2015 07:33:41 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Thank you for the report of build-from-git failure on Wheezy:
  http://debbugs.gnu.org/20424

I've just fixed that with the attached patch:

Subject: Compile the git version of sed failed.
From: Hongyi Zhao <[email-masked]>
To: [email-masked]
Date: Sat, 25 Apr 2015 11:28:03 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

I use Debian Wheezy and I try to compile the  git version of sed as follows:

$ bash bootstrap
[snip]
configure.ac:11: error: possibly undefined macro: AC_CONFIG_MACRO_DIRS
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
autoreconf: /usr/bin/autoconf failed with exit status: 1
bootstrap: autoreconf failed

Any hints on this issue?

Regards
-- 
Hongyi Zhao <[email-masked]>
Xinjiang Technical Institute of Physics and Chemistry
Chinese Academy of Sciences
GnuPG DSA: 0xD108493